# Datenbank-Konstanten
# <db>           Name der Haupt-Datenbank fuer diesen Bereich
# <dbhost>       Name des Datenbankrechners
# <dbport>       Name des Ports des Datenbankrechners
#
<define-tag db>infocon</define-tag>
<define-tag dbhost>kuolema</define-tag>
<define-tag dbport>5432</define-tag>

# Generelle Konstanten
#
<define-tag kdnrmin>42</define-tag>
<define-tag dispatchmin>42</define-tag>
<define-tag colh>#abdcfc</define-tag>
<define-tag cold>#eff0f1</define-tag>
<define-tag coln>#ffffff</define-tag>
# Status: 0=ordered, 1=processed, 2=sent, 3=paid, 4=cancelled
<define-tag st_order>0</define-tag>
<define-tag st_processed>1</define-tag>
<define-tag st_sent>2</define-tag>
<define-tag st_paid>3</define-tag>
<define-tag st_cancel>4</define-tag>

# Innere Tabellen (in PHP) (Feature: 1 Pixel breiter schwarzer Rahmen und etwas Abstand nach links)
<define-tag btable_begin>echo ("<p><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" summary=\"\"><tr><td width=\"2\" bgcolor=\"#000000\"></td><td bgcolor=\"#000000\"><table cellpadding=\"0\" cellspacing=\"1\" width=\"100%\" border=\"0\" summary=\"\"><tr><td bgcolor=\"#ffffff\"><table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" summary=\"\">");</define-tag>
<define-tag btable_end>echo ("</table></td></tr></table></td></tr></table>");</define-tag>


# Datenbank-Routinen
#
# dbconnect()    Verbindung zur Datenbank aufbauen
#                In : /
#                Out: $dbh
# dbquery()      Datenbankabfrage
#                In : $dbh, $query
#                Out: $dbh
#
<?
  function dbconnect ()
  {
    $dbh = pg_pconnect ("<dbhost>", "<dbport>", "<db>")
	   or die("Unable to connect to SQL server");

    pg_exec ($dbh, "SET DateStyle = 'ISO'"); //no-error-checking or die("Unable to issue query!");
    return $dbh;
  }

  function dbquery ($dbh, $query)
  {
    # $query = "SELECT * FROM news WHERE id = '$id'";
    # printf ("\n<!-- %s -->\n", $query);
    # printf ("<br><b>%s</b><br>", $query);
    $sth = pg_exec ($dbh, $query);

    return $sth;
  }
?>

<define-tag sql_prepare>
<?
  function sql_prepare ($text)
  {
    # Der Himmel ist blau, das Wasser ist klar, die Vgel zwitschern
    # drauen, doch PHP weigert sich beharrlich, vernnftig zu
    # arbeiten.
    #
    # Problem: Im Form kommt " an, PHP macht daraus freundlicherweise \"
    #          und schon sind unsere Daten in der SQL-DB kaputt.  Danke
    # $mytext = ereg_replace ("\\\\", "\\\\", $text);
    $mytext = ereg_replace ("\\\\\"", "\"", $text);
#    $mytext = ereg_replace ("'", "\'", $mytext);
    return ($mytext);
  }
?>
</define-tag>

# Local variables:
# mode: indented-text
# end:
